
CREATE TABLE ngsoc.unknown_log2 (      `id` String,      `facility` String,      `severity` String,      `device` String,      `type` String,      `fromIp` String,      `fromIpN` String,      `code` String,      `logMessage` String,      `typeName` String,      `deviceName` String,      `message` String,      `appName` String,      `facilityName` String,      `severityName` String,      `localAddress` String,      `procId` String,      `msgId` String,      `structuredData` String,      `remoteAddress` String,      `hostName` String,      `msgTime` DateTime,      `time` DateTime,      `category` UInt32 ) ENGINE = AggregatingMergeTree PARTITION BY toYYYYMMDD(time) ORDER BY (time,  id) TTL time + toIntervalMonth(12) SETTINGS index_granularity = 8192;
insert into unknown_log2  select * from unknown_log; 
DROP TABLE   unknown_log;  
RENAME TABLE unknown_log2 TO unknown_log; 

CREATE TABLE ngsoc.orilog2 (      `addr0` UInt32,      `addr1` UInt32,      `addr2` UInt32,      `aggrId` String,      `areaId_ip1` String,      `areaId_ip2` String,      `category` Int32,      `categoryName` String,      `cityName_ip1` String,      `cityName_ip2` String,      `code` String,      `countryId_ip1` String,      `countryId_ip2` String,      `countryLatitude_ip1` String,      `countryLatitude_ip2` String,      `countryLongitude_ip1` String,      `countryLongitude_ip2` String,      `countryName_ip1` String,      `countryName_ip2` String,      `day` String,      `device` Int32,      `deviceName` String,      `eventName` String,      `hour` String,      `id` String,      `ip0` String,      `ip1` String,      `ip2` String,      `ipName_ip1` String,      `ipName_ip2` String,      `kind` Int32,      `kind_name` String,      `latitude_ip1` String,      `latitude_ip2` String,      `level` Int32,      `longitude_ip1` String,      `longitude_ip2` String,      `minute` String,      `month` String,      `port1` Int32,      `port2` Int32,      `protocol` String,      `raw` String,      `receiveProtocol` String,      `resultId` Int32,      `second` String,      `sport` Int32,      `targetId` Int32,      `time` DateTime,      `type` Int32,      `year` String,      `targetName` String,      `resultName` String,      `src_ed_id` String,      `dst_ed_id` String,      `src_ed_name` String,      `dst_ed_name` String,      `source_province` String,      `destination_province` String,      `is_china` String,      `direct_visit` String,      `direct_visit_name` String,      `count` Int32,      `event_description` String,      `model_category_name` String,      `model_type_name` String,      `probe_id` String,      `user_id` String,      `other_field_string` String,      `type2` String,      `type2_name` String,      `log_time` String,      `log_type` String,      `vendor` String,      `appcode` String,      `sn` String,      `asset_name` String,      `dev_id` String,      `target_object` String,      `user_name` String,      `action` String,      `mac1` String,      `mac2` String,      `mask1` String,      `mask2` String ) ENGINE = AggregatingMergeTree PARTITION BY toYYYYMMDD(time) ORDER BY (time,id) TTL time + toIntervalMonth(12) SETTINGS index_granularity = 8192; 

insert into orilog2  select * from orilog; 

DROP TABLE   orilog; 

RENAME TABLE orilog2 TO orilog; 


CREATE TABLE ngsoc.t_net_threat_event2 (      `event_id` String,      `event_category` Int32,      `event_type` Int32,      `event_level` Int32,      `original_id` String,      `event_time` DateTime,      `event_desc` String,      `receive_time` DateTime,      `category` String,      `data` String,      `total` Int32,      `ip_country` String,      `ip_code` String,      `ip_province` String,      `ip_city` String,      `ip_operator` String,      `ip_organization` String,      `ip_latitude` String,      `ip_longitude` String,      `first_time` DateTime,      `last_time` DateTime,      `malwares` String,      `actions` String,      `attackInProtocol` String,      `grade` Int32,      `level` Int32,      `describes` String,      `activeTime` DateTime,      `channel` String,      `confidence` String,      `title` String,      `ed_id` String ) ENGINE = AggregatingMergeTree PARTITION BY toYYYYMMDD(event_time) ORDER BY event_id SETTINGS index_granularity = 8192;
insert into t_net_threat_event2  select * from t_net_threat_event; 

DROP TABLE   t_net_threat_event; 

RENAME TABLE t_net_threat_event2 TO t_net_threat_event; 
